|

Decrypt data from a business's vault

post/businesses/{fp_bid}/vault/decrypt
External ID
Decrypts the specified list of Data Identifiers from the provided business's vault.

Request

Path parameters

fp_bid·

string

Body

fields·

array of strings

List of data identifiers to decrypt. For example, business.name, business.website,

Allowed values:

business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_date
custom.*
reason·

string

Reason for the data decryption. This will be logged
transforms·

optional array of strings

A list of filter and transform functions to apply to each decrypted datum. Omit or leave empty to apply no transforms. Can find more information on allowed transform functions on our docs

Allowed values:

to_lowercase
to_uppercase
to_ascii
prefix(<n>)
suffix(<n>)
replace('<from>','<to>')
date_format('<from_format>','<to_format>')
hmac_sha256('<key>')
encrypt('<algorithm>','<public_key>')
wrap_quotes

Response

A key-value map with the corresponding decrypted values
<key>·

string

Allowed values:

business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_date
custom.*
<value>·

string | integer | boolean | object

POST /businesses/{fp_bid}/vault/decrypt
1curl -X POST https://api.onefootprint.com/businesses/{fp_bid}/vault/decrypt \
2  -u sk_test_xxxxx: \
3  -d '{
4    "fields": [
5      "business.name",
6      "business.website"
7    ],
8    "reason": "Lorem ipsum dolor"
9  }'
Response example
{
  "business.name": "Acme Bank",
  "business.website": "acmebank.org"
}